uniform sampler2D iChannel0;
uniform sampler2D iChannel1;
uniform sampler2D iChannel2;
uniform sampler2D iChannel3;
uniform float iTime;
uniform vec4 iMouse;
uniform vec2 iResolution;
uniform int iFrame;
out vec4 C;

#define PI 3.1459

/*  Install  Istructions

sudo apt-get install g++ cmake git
 sudo apt-get install libsoil-dev libglm-dev libassimp-dev libglew-dev libglfw3-dev libxinerama-dev libxcursor-dev
libxi-dev libfreetype-dev libgl1-mesa-dev xorg-dev

git clone https://github.com/JoeyDeVries/LearnOpenGL.git*/


float dist(vec2 p, float r)
{
    float d= length(p)-r;
    return smoothstep(r,r+0.001,d);
}


void main ()
{
    vec2 p =gl_FragCoord.xy/iResolution.xy;
    float ra=iResolution.x/iResolution.y;
    p.x*=ra;
    vec2 q = p-vec2(0.6,0.75);
    vec3 col = mix(vec3(1.0,0.4,0.2),vec3(1.0,0.8,0.5),p.y);
    //copa
    float r=0.09;
    r+= 0.037*cos(atan(q.x,q.y)*12.0-15.0*q.x+2.0*sin(iTime*2.0));
    r+=0.01*sin(atan(q.x,q.y)*80);
    col*=dist(q,r);

    //tronco
    r=0.02;
    r+=0.0025*cos(p.y*130.0);
    r+=exp(-40.0*p.y);
    col*=1.0 -(1.0-smoothstep(r,r+0.001,abs(q.x-0.1*sin(q.y*3.0))))*(1.0-smoothstep(0.0,0.1,q.y));

    // sol
    vec2 s = p - vec2(0.9,0.2);
    r = 0.05;
    col+=1-smoothstep(r,r+0.1,length(s)-r);
     C=vec4(col,1.0);

}

